Bug 585578 - [abrt] crash in gvfs-archive-1.4.3-7.fc12: Process /usr/libexec/gvfsd-archive was killed by signal 6 (SIGABRT)
[abrt] crash in gvfs-archive-1.4.3-7.fc12: Process /usr/libexec/gvfsd-archive...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
abrt_hash:5305dffbc8bc34b207b7baa6717...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-24 17:19 EDT by Bug Reporter
Modified: 2015-03-03 17:47 EST (History)
35 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:28:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.87 KB, text/plain)
2010-04-24 17:19 EDT, Bug Reporter
no flags Details
archive that is not handled properly (7.60 MB, application/zip)
2010-05-07 09:28 EDT, Misha Shnurapet
no flags Details

  None (edit)
Description Bug Reporter 2010-04-24 17:19:29 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/libexec/gvfsd-archive file=/media/SurvivorSongbook/_SYS1.CAB
component: gvfs
executable: /usr/libexec/gvfsd-archive
global_uuid: 5305dffbc8bc34b207b7baa671704c5c535b9f3d
kernel: 2.6.32.11-99.fc12.i686
package: gvfs-archive-1.4.3-7.fc12
rating: 4
reason: Process /usr/libexec/gvfsd-archive was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)
Comment 1 Bug Reporter 2010-04-24 17:19:32 EDT
Created attachment 408889 [details]
File: backtrace
Comment 2 Fedor Abakshin 2010-04-28 04:55:47 EDT
Package: gvfs-archive-1.4.3-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. try to mount MDF
2.
3.
Comment 3 edwards.tyrone 2010-04-30 06:56:44 EDT
Package: gvfs-archive-1.4.3-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Mount compressed RAR file using Archive Mounter
2.
3.
Comment 4 Jayrome 2010-05-07 09:22:43 EDT
Package: gvfs-archive-1.4.3-7.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Open the file in Archive Mounter.


Comment
-----
Could you, please, tell me what type of archive this is?
Comment 5 Misha Shnurapet 2010-05-07 09:28:18 EDT
Created attachment 412353 [details]
archive that is not handled properly
Comment 6 Scott Dodson 2010-05-13 09:18:09 EDT
Package: gvfs-archive-1.4.3-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Download ISO via Firefox (SLES 11 SDK)
2. Double click on it after it's downloaded
3. gvfs crashes


Comment
-----
The actual filename is /home/sdodson/Download/SLE-11-SDK-DVD-x86_64-GM-Media1.iso  I wonder why it doesn't have .iso on the filename.
Comment 7 Joyabrata Ghosh 2010-05-18 11:58:49 EDT
Package: gvfs-archive-1.4.3-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. try to extract using right click button
2. reprodible
3.
Comment 8 Matt McCutchen 2010-05-21 03:12:58 EDT
Package: gvfs-archive-1.4.3-7.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. In Nautilus, right-click an RPM file and choose "Open with Other Application".
2. Choose "Archive Mounter".

Comment
-----
I was hoping the archive mounter might support RPMs even though it wasn't registered to handle them by default.  Apparently not.  But it should give an error message, not crash.
Comment 9 hcorex666 2010-05-22 10:02:16 EDT
Package: gvfs-archive-1.4.3-7.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.use archive mounter on a standard zip file. 
2.
3.
Comment 10 Florian Fahr 2010-05-28 16:02:29 EDT
Package: gvfs-archive-1.4.3-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I double-clicked (I think) on the bfo.iso I downsloaded from boot.fedoraproject.org
2.
3.
Comment 11 Prabhakaran 2010-05-28 21:01:02 EDT
Package: gvfs-archive-1.4.3-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.extract or compress any file to .zip
2.
3.
Comment 12 Peter Larsen 2010-05-31 16:54:29 EDT
Package: gvfs-archive-1.4.3-7.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Opening an ISO from within another archive
Comment 13 jason.prokopowich 2010-07-17 20:20:23 EDT
Package: gvfs-archive-1.4.3-7.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.restarted PC
2.
3.
Comment 14 Gerard Barker 2010-07-25 09:54:43 EDT
Package: gvfs-archive-1.4.3-7.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Deleted failed download iso file of canterbury.ac.nz for DVD iso of 64 bit linux which said download had completed after only a few hundred kilobytes.
2.Using torrent instead.
3.
Comment 15 William Zhou 2010-08-18 06:01:03 EDT
Package: gvfs-archive-1.4.3-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Mount an iso archive
2.
3.
Comment 16 Bug Zapper 2010-11-03 12:22:35 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-12-03 10:28:51 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.